Bug 1378187 - Packstack allinone with LBAAS fails because of LBAAS
Summary: Packstack allinone with LBAAS fails because of LBAAS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Ivan Chavero
QA Contact: Jason Joyce
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-21 18:54 UTC by Ivan Chavero
Modified: 2016-12-14 16:03 UTC (History)
4 users (show)

Fixed In Version: openstack-packstack-9.0.0-0.20160922140727.3f43120.1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:03:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 374229 None None None 2016-09-21 18:54:18 UTC

Description Ivan Chavero 2016-09-21 18:54:19 UTC
Description of problem:

CI caught a problem with packstack allinone, it fails with LBAAS problems:



How reproducible:


Steps to Reproduce:
1. packstack --gen-answer-file=/root/packstack_config.txt
2. packstack --debug --answer-file=/root/packstack_config.txt
3.

Actual results:

ERROR : Error appeared during Puppet run: 192.168.1.13_controller.pp
06:03:30 Error: Could not start Service[neutron-server]: Execution of '/usr/bin/systemctl start neutron-server' returned 1: Job for neutron-server.service failed because the control process exited with error code. See "systemctl status neutron-server.service" and "journalctl -xe" for details.


Expected results:

Succesful install.

Additional info:

neutron log:

2016-09-21 02:04:17.605 18128 ERROR neutron.service [-] Unrecoverable error: please check log for details.
2016-09-21 02:04:17.605 18128 ERROR neutron.service Traceback (most recent call last):
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 87, in serve_wsgi
2016-09-21 02:04:17.605 18128 ERROR neutron.service     service.start()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 63, in start
2016-09-21 02:04:17.605 18128 ERROR neutron.service     self.wsgi_app = _run_wsgi(self.app_name)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 289, in _run_wsgi
2016-09-21 02:04:17.605 18128 ERROR neutron.service     app = config.load_paste_app(app_name)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/common/config.py", line 115, in load_paste_app
2016-09-21 02:04:17.605 18128 ERROR neutron.service     app = loader.load_app(app_name)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/oslo_service/wsgi.py", line 353, in load_app
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return deploy.loadapp("config:%s" % self.config_path, name=name)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 247, in loadapp
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return loadobj(APP, uri, name=name, **kw)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 272, in loadobj
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return context.create()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return self.object_type.invoke(self)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 144, in invoke
2016-09-21 02:04:17.605 18128 ERROR neutron.service     **context.local_conf)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
2016-09-21 02:04:17.605 18128 ERROR neutron.service     val = callable(*args, **kw)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/urlmap.py", line 25, in urlmap_factory
2016-09-21 02:04:17.605 18128 ERROR neutron.service     app = loader.get_app(app_name, global_conf=global_conf)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 350, in get_app
2016-09-21 02:04:17.605 18128 ERROR neutron.service     name=name, global_conf=global_conf).create()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return self.object_type.invoke(self)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 144, in invoke
2016-09-21 02:04:17.605 18128 ERROR neutron.service     **context.local_conf)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
2016-09-21 02:04:17.605 18128 ERROR neutron.service     val = callable(*args, **kw)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/auth.py", line 71, in pipeline_factory
2016-09-21 02:04:17.605 18128 ERROR neutron.service     app = loader.get_app(pipeline[-1])
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 350, in get_app
2016-09-21 02:04:17.605 18128 ERROR neutron.service     name=name, global_conf=global_conf).create()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return self.object_type.invoke(self)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return fix_call(context.object, context.global_conf, **context.local_conf)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
2016-09-21 02:04:17.605 18128 ERROR neutron.service     val = callable(*args, **kw)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/api/v2/router.py", line 72, in factory
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return cls(**local_config)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/api/v2/router.py", line 76, in __init__
2016-09-21 02:04:17.605 18128 ERROR neutron.service     plugin = manager.NeutronManager.get_plugin()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 244, in get_plugin
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return weakref.proxy(cls.get_instance().plugin)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 238, in get_instance
2016-09-21 02:04:17.605 18128 ERROR neutron.service     cls._create_instance()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/oslo_concurrency/lockutils.py", line 271, in inner
2016-09-21 02:04:17.605 18128 ERROR neutron.service     return f(*args, **kwargs)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 224, in _create_instance
2016-09-21 02:04:17.605 18128 ERROR neutron.service     cls._instance = cls()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 137, in __init__
2016-09-21 02:04:17.605 18128 ERROR neutron.service     self._load_service_plugins()
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 197, in _load_service_plugins
2016-09-21 02:04:17.605 18128 ERROR neutron.service     provider)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 159, in _get_plugin_instance
2016-09-21 02:04:17.605 18128 ERROR neutron.service     plugin_class = self.load_class_for_provider(namespace, plugin_provider)
2016-09-21 02:04:17.605 18128 ERROR neutron.service   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 156, in load_class_for_provider
2016-09-21 02:04:17.605 18128 ERROR neutron.service     raise ImportError(_("Plugin '%s' not found.") % plugin_provider)
2016-09-21 02:04:17.605 18128 ERROR neutron.service ImportError: Plugin 'lbaas' not found.
2016-09-21 02:04:17.605 18128 ERROR neutron.service 
2016-09-21 02:04:17.606 18128 CRITICAL neutron [-] ImportError: Plugin 'lbaas' not found.
2016-09-21 02:04:17.606 18128 ERROR neutron Traceback (most recent call last):
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/bin/neutron-server", line 10, in <module>
2016-09-21 02:04:17.606 18128 ERROR neutron     sys.exit(main())
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/cmd/eventlet/server/__init__.py", line 22, in main
2016-09-21 02:04:17.606 18128 ERROR neutron     server.boot_server(_main_neutron_server)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/server/__init__.py", line 37, in boot_server
2016-09-21 02:04:17.606 18128 ERROR neutron     server_func()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/cmd/eventlet/server/__init__.py", line 27, in _main_neutron_server
2016-09-21 02:04:17.606 18128 ERROR neutron     wsgi_eventlet.eventlet_wsgi_server()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/server/wsgi_eventlet.py", line 24, in eventlet_wsgi_server
2016-09-21 02:04:17.606 18128 ERROR neutron     neutron_api = service.serve_wsgi(service.NeutronApiService)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 90, in serve_wsgi
2016-09-21 02:04:17.606 18128 ERROR neutron     LOG.exception(_LE('Unrecoverable error: please check log '
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2016-09-21 02:04:17.606 18128 ERROR neutron     self.force_reraise()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2016-09-21 02:04:17.606 18128 ERROR neutron     six.reraise(self.type_, self.value, self.tb)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 87, in serve_wsgi
2016-09-21 02:04:17.606 18128 ERROR neutron     service.start()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 63, in start
2016-09-21 02:04:17.606 18128 ERROR neutron     self.wsgi_app = _run_wsgi(self.app_name)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/service.py", line 289, in _run_wsgi
2016-09-21 02:04:17.606 18128 ERROR neutron     app = config.load_paste_app(app_name)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/common/config.py", line 115, in load_paste_app
2016-09-21 02:04:17.606 18128 ERROR neutron     app = loader.load_app(app_name)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/oslo_service/wsgi.py", line 353, in load_app
2016-09-21 02:04:17.606 18128 ERROR neutron     return deploy.loadapp("config:%s" % self.config_path, name=name)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 247, in loadapp
2016-09-21 02:04:17.606 18128 ERROR neutron     return loadobj(APP, uri, name=name, **kw)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 272, in loadobj
2016-09-21 02:04:17.606 18128 ERROR neutron     return context.create()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2016-09-21 02:04:17.606 18128 ERROR neutron     return self.object_type.invoke(self)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 144, in invoke
2016-09-21 02:04:17.606 18128 ERROR neutron     **context.local_conf)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
2016-09-21 02:04:17.606 18128 ERROR neutron     val = callable(*args, **kw)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/urlmap.py", line 25, in urlmap_factory
2016-09-21 02:04:17.606 18128 ERROR neutron     app = loader.get_app(app_name, global_conf=global_conf)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 350, in get_app
2016-09-21 02:04:17.606 18128 ERROR neutron     name=name, global_conf=global_conf).create()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2016-09-21 02:04:17.606 18128 ERROR neutron     return self.object_type.invoke(self)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 144, in invoke
2016-09-21 02:04:17.606 18128 ERROR neutron     **context.local_conf)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
2016-09-21 02:04:17.606 18128 ERROR neutron     val = callable(*args, **kw)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/auth.py", line 71, in pipeline_factory
2016-09-21 02:04:17.606 18128 ERROR neutron     app = loader.get_app(pipeline[-1])
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 350, in get_app
2016-09-21 02:04:17.606 18128 ERROR neutron     name=name, global_conf=global_conf).create()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
2016-09-21 02:04:17.606 18128 ERROR neutron     return self.object_type.invoke(self)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
2016-09-21 02:04:17.606 18128 ERROR neutron     return fix_call(context.object, context.global_conf, **context.local_conf)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
2016-09-21 02:04:17.606 18128 ERROR neutron     val = callable(*args, **kw)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/api/v2/router.py", line 72, in factory
2016-09-21 02:04:17.606 18128 ERROR neutron     return cls(**local_config)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/api/v2/router.py", line 76, in __init__
2016-09-21 02:04:17.606 18128 ERROR neutron     plugin = manager.NeutronManager.get_plugin()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 244, in get_plugin
2016-09-21 02:04:17.606 18128 ERROR neutron     return weakref.proxy(cls.get_instance().plugin)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 238, in get_instance
2016-09-21 02:04:17.606 18128 ERROR neutron     cls._create_instance()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/oslo_concurrency/lockutils.py", line 271, in inner
2016-09-21 02:04:17.606 18128 ERROR neutron     return f(*args, **kwargs)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 224, in _create_instance
2016-09-21 02:04:17.606 18128 ERROR neutron     cls._instance = cls()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 137, in __init__
2016-09-21 02:04:17.606 18128 ERROR neutron     self._load_service_plugins()
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 197, in _load_service_plugins
2016-09-21 02:04:17.606 18128 ERROR neutron     provider)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 159, in _get_plugin_instance
2016-09-21 02:04:17.606 18128 ERROR neutron     plugin_class = self.load_class_for_provider(namespace, plugin_provider)
2016-09-21 02:04:17.606 18128 ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/manager.py", line 156, in load_class_for_provider
2016-09-21 02:04:17.606 18128 ERROR neutron     raise ImportError(_("Plugin '%s' not found.") % plugin_provider)
2016-09-21 02:04:17.606 18128 ERROR neutron ImportError: Plugin 'lbaas' not found.
2016-09-21 02:04:17.606 18128 ERROR neutron

Comment 2 Alan Pevec 2016-09-26 11:19:10 UTC
> Steps to Reproduce:
> 1. packstack --gen-answer-file=/root/packstack_config.txt

This is missing step 1,5: change CONFIG_LBAAS_INSTALL=y
b/c default is n
https://github.com/openstack/packstack/blob/stable/newton/packstack/plugins/neutron_350.py#L97

> 2. packstack --debug --answer-file=/root/packstack_config.txt

Comment 7 errata-xmlrpc 2016-12-14 16:03:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.